> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpoppy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create conversation

> Create a new conversation thread for a ChatNode

This endpoint creates a new conversation (thread) for a ChatNode. The returned conversation ID can be used with `/api/conversation/{conversationId}` to send messages.

## Headers

<ParamField header="x-api-key" type="string" required>
  Your API key for authentication. Can also be passed as `api_key` query parameter.
</ParamField>

## Request Body

<ParamField body="boardId" type="string" required>
  The ID of the board where the ChatNode exists. Can also be passed as `board_id` query parameter.
</ParamField>

<ParamField body="chatId" type="string" required>
  The ChatNode ID. Can also be passed as `chat_id` query parameter.
</ParamField>

<ParamField body="name" type="string">
  Optional custom name for the conversation. If not provided, defaults to "API Conversation -{' '}
  {timestamp}".
</ParamField>

## Response

<ResponseField name="conversationId" type="string">
  Unique identifier for the newly created conversation
</ResponseField>

<ResponseField name="name" type="string">
  The conversation name
</ResponseField>

<ResponseField name="createdAt" type="string">
  ISO timestamp when the conversation was created
</ResponseField>

<ResponseField name="boardId" type="string">
  The board ID where the ChatNode exists
</ResponseField>

<ResponseField name="chatId" type="string">
  The ChatNode ID associated with this conversation
</ResponseField>

<RequestExample>
  ```json Request theme={null}
  {
    "boardId": "abc123",
    "chatId": "chat-node-456",
    "name": "My Custom Conversation"
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 201 Created theme={null}
  {
    "conversationId": "6de563f8-9b05-4710-9b46-4dd6761e2942",
    "name": "My Custom Conversation",
    "createdAt": "2025-04-23T09:09:59.619Z",
    "boardId": "abc123",
    "chatId": "chat-node-456"
  }
  ```
</ResponseExample>

<ResponseExample>
  ```json 403 Unauthorized theme={null}
  {
    "error": "Unauthorized",
    "message": "Invalid or missing API key."
  }
  ```
</ResponseExample>

<ResponseExample>
  ```json 422 Validation Failed theme={null}
  {
    "error": "Validation failed",
    "message": "Request validation failed. Please check your parameters.",
    "details": {}
  }
  ```
</ResponseExample>

<Note>
  Creating a conversation does not send a message. To send a message, use POST `/api/conversation/   {conversationId}` after you create the conversation.
</Note>
